version: "3.7"
services: 
  api:
    image: registry.gitlab.com/deri-miksa/eupronet/backend
    restart: always
    networks:
      - backend
      - database
    environment:
      - port={{ API_PORT }}
      - host={{ MYSQL_HOST }}
      - user={{ MYSQL_USER }}
      - password={{ MYSQL_PASS }}
      - database={{ MYSQL_DATABASE }}
      - adminToken={{ ADMIN_TOKEN }}

networks:
  database:
    external: true
  backend:
    external: true
